Skip to content

REST API — WorkflowSchedules

Method Path What it does
GET /api/system-workflows/{system_workflow_id}/schedules The selected workspace’s schedules for a system workflow. Any member.
POST /api/system-workflows/{system_workflow_id}/schedules Create a schedule for a system workflow in the selected workspace. Owner only.
DELETE /api/system-workflows/{system_workflow_id}/schedules/{schedule_id} Delete a system workflow schedule. Owner only.
PATCH /api/system-workflows/{system_workflow_id}/schedules/{schedule_id} Update a system workflow schedule’s settings. Owner only.
GET /api/workflows/{workflow_id}/schedules List all schedules for a workflow. Any member can view.
POST /api/workflows/{workflow_id}/schedules Create a schedule for a workflow. Owner only.
DELETE /api/workflows/{workflow_id}/schedules/{schedule_id} Delete a workflow schedule. Owner only.
GET /api/workflows/{workflow_id}/schedules/{schedule_id} Get a specific schedule. Any member can view.
PATCH /api/workflows/{workflow_id}/schedules/{schedule_id} Update schedule settings. Owner only.